package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag298;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT298Creator;

/**
 * @author huangmengyuan
 * @create 2023/3/1
 */
public class Tag20Creator extends AbsTagCreate {
    private MT298Creator mt298Creator;
    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt298Creator = (MT298Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt298Creator.getTransactionReferenceNumber();
        mt298Creator.set("20",tag20Value);
    }
}
